## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JTrapNotifier

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JTrapNotifier

All Implemented Interfaces:
  java.util.EventListener, org.snmp4j.CommandResponder

    public class Snmp4JTrapNotifier

extends java.lang.Object
implements org.snmp4j.CommandResponder

Nested Class Summary
`static class` `Snmp4JTrapNotifier.Snmp4JV1TrapInformation`
`static class` `Snmp4JTrapNotifier.Snmp4JV2TrapInformation`

Constructor Summary
`Snmp4JTrapNotifier(org.opennms.netmgt.snmp.TrapNotificationListener listener, org.opennms.netmgt.snmp.TrapProcessorFactory processorFactory)`

Method Summary
`void` `processPdu(org.snmp4j.CommandResponderEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JTrapNotifier

    public Snmp4JTrapNotifier(org.opennms.netmgt.snmp.TrapNotificationListener listener,
                              org.opennms.netmgt.snmp.TrapProcessorFactory processorFactory)

Method Detail

### processPdu

    public void processPdu(org.snmp4j.CommandResponderEvent e)

  Specified by:
    `processPdu` in interface `org.snmp4j.CommandResponder`

Copyright © 2010. All Rights Reserved.